MKBOOTIMAGE(8) | System Manager's Manual (alpha) | MKBOOTIMAGE(8)

# NAME

`mkbootimage` — turn Alpha bootstrap programs into bootable images

# SYNOPSIS

`/usr/mdec/mkbootimage` | [`-nv`] infile [outfile]

# DESCRIPTION

The `mkbootimage` utility creates bootable image files from NetBSD/alpha bootstrap programs. Bootable image files can be placed directly on disk or tape to create bootable media which can be booted by the SRM console. This is primarily useful for creating bootable tapes or disk sets with the /usr/mdec/ustarboot bootstrap program, or for creating firmware upgrade media using firmware upgrade programs.

The bootstrap program infile is padded to a 512-byte boundary, has a properly formed Alpha Boot Block prepended, and is written to the output file outfile. If no output file is specified, the result is written to standard output.

The `mkbootimage` utility does not install bootstrap programs to make disks bootable. To do that, use installboot(8). Similarly, it is not necessary to use `mkbootimage` to create images to boot over the network; network-capable bootstrap programs are usable without modification.

The options recognized by `mkbootimage` are as follows:

`-n`
  Do not actually write the result to the output file or standard output.
`-v`
  Print information about what `mkbootimage` is doing.

# FILES

/usr/mdec/ustarboot
  “ustar” file system bootstrap program

# EXIT STATUS

The `mkbootimage` utility exits 0 on success, and >0 if an error occurs.

# EXAMPLES

    mkbootimage as200_v5_8.exe as200_v5_8.exe.bootimage

Create a bootable image from the (firmware image) file as200_v5_8.exe. That bootable image could then be written to floppy, disk, CD-ROM, or tape to create bootable firmware update media.

    (mkbootimage /usr/mdec/ustarboot; tar cvf - netbsd) | \
        dd of=/dev/rst0

Make a bootable image from the bootstrap program /usr/mdec/ustarboot, concatenate it with a tar file containing a kernel, and write the output to a tape. This is an example of how to create a tape which boots a kernel.

# SEE ALSO

alpha/boot(8), installboot(8)

# HISTORY

The NetBSD/alpha `mkbootimage` command first appeared in NetBSD 1.4.

# AUTHORS

The `mkbootimage` utility was written by Chris Demetriou.

February 17, 2017 | NetBSD 10.99